# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "bcs_network"
version = "0.3.0"
authors = ["llamicron <llamicron@gmail.com>"]
description = "Brewery Control System networking crate for Navasota Brewing Company"
homepage = "https://github.com/NavasotaBrewing/network"
documentation = "https://github.com/NavasotaBrewing/network"
license = "MIT"
repository = "https://github.com/NavasotaBrewing/network"
[dependencies.brewdrivers]
version = "0.6.0"
features = ["network"]
optional = true

[dependencies.reqwest]
version = "0.9.20"

[dependencies.rocket]
version = "0.4.2"

[dependencies.rocket_contrib]
version = "0.4.2"
features = ["json"]
default-features = false

[dependencies.rocket_cors]
version = "0.5.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[features]
default = []
rtu = ["brewdrivers"]
